#version 150

#moj_import <fog.glsl>

in vec3 Position;

uniform mat4 ModelViewMat;
uniform mat4 ProjMat;
uniform int FogShape;

out float vertexDistance;
out vec4 rawPos;

void main() {
	vec4 pos = ProjMat * vec4(Position, 1.0);
	pos.y = -pos.z;
	
	gl_Position = pos;
	//gl_Position = ProjMat * ModelViewMat * vec4(Position, 1.0);

	vertexDistance = fog_distance(ModelViewMat, Position, FogShape);
	rawPos = vec4(Position, 1.0);
}
